import request from '@/utils/request'

// 查询生产执行中间列表
export function listDetail(query) {
  return request({
    url: '/track/executeDetail/list',
    method: 'get',
    params: query
  })
}

// 查询生产执行中间详细
export function getDetail(id) {
  return request({
    url: '/track/executeDetail/' + id,
    method: 'get'
  })
}

// 新增生产执行中间
export function addDetail(data) {
  return request({
    url: '/track/executeDetail',
    method: 'post',
    data: data
  })
}

// 修改生产执行中间
export function updateDetail(data) {
  return request({
    url: '/track/executeDetail',
    method: 'put',
    data: data
  })
}

// 删除生产执行中间
export function delDetail(id) {
  return request({
    url: '/track/executeDetail/' + id,
    method: 'delete'
  })
}

// 导出生产执行中间
export function exportDetail(query) {
  return request({
    url: '/track/executeDetail/export',
    method: 'get',
    params: query
  })
}

//批量新增
export function batchAddDetailInfo(data) {
  return request({
    url: '/track/executeDetail/batchAddDetailInfo',
    method: 'post',
    data: data
  })
}
